Skip to content
View as Markdown

GET Bounce Handler Configurations​

GET
/setting/bounce_configs

Retrieve bounce handler webhook URLs and configuration for all supported email service providers (Amazon SES, Mailgun, PostMark, SendGrid, SparkPost, Elastic Email, etc.). Also returns FluentSMTP configuration status if the plugin is installed.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Responses​

Bounce handler configurations for all supported providers.

application/json
JSON
{
"bounce_settings": {
"additionalProperties": {
"label": "string",
"webhook_url": "string",
"doc_url": "string",
"input_title": "string",
"input_info": "string"
}
},
"fluentsmtp_info": {
"configured": true,
"verified_senders": [
"string"
],
"config_url": "string"
}
}

Playground​

Authorization

Samples​

Powered by VitePress OpenAPI